osl::search::ShouldPromoteCut Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | List of all members
osl::search::ShouldPromoteCut Struct Reference

探索で前向き枝刈して良い条件を一時的に書いておく More...

`#include <shouldPromoteCut.h>`

## Static Public Member Functions
template<Player P>
static bool | canIgnore (Ptype ptype, Square from, Square to)
template<Player Moving>
static bool | canIgnoreMove (Move move)
| dropでないことが確定している場合 More...
template<Player Moving>
static bool | canIgnoreAndNotDrop (Move move)
| drop は通すチェック有り More...
static bool | canIgnoreAndNotDrop (Move move)

## Detailed Description

探索で前向き枝刈して良い条件を一時的に書いておく

効果を把握したら手生成の段階で cut するのが better TODO: あと，2段目への香は必ず成るチェックをいれる

Definition at line 19 of file shouldPromoteCut.h.

## Member Function Documentation

template<Player P>

static bool osl::search::ShouldPromoteCut::canIgnore | ( | Ptype | ptype,
|  | Square | from,
|  | Square | to
| ) |  |
| inlinestatic

Definition at line 22 of file shouldPromoteCut.h.

References osl::BLACK, osl::Square::canPromote(), osl::isBasic(), osl::PtypeTable::isBetterToPromote(), osl::Square::isPieceStand(), osl::LANCE, osl::Ptype_Table, and osl::Square::y().

template<Player Moving>

static bool osl::search::ShouldPromoteCut::canIgnoreAndNotDrop | ( | Move | move) |  |
| inlinestatic

drop は通すチェック有り

Definition at line 42 of file shouldPromoteCut.h.

References osl::Move::isDrop().

Referenced by osl::search::AlphaBeta3::searchRoot().

static bool osl::search::ShouldPromoteCut::canIgnoreAndNotDrop | ( | Move | move) |  |
| inlinestatic

Definition at line 46 of file shouldPromoteCut.h.

References osl::BLACK, and osl::Move::player().

template<Player Moving>

static bool osl::search::ShouldPromoteCut::canIgnoreMove | ( | Move | move) |  |
| inlinestatic

dropでないことが確定している場合

Definition at line 33 of file shouldPromoteCut.h.

References osl::Move::from(), osl::Move::isDrop(), osl::Move::ptype(), and osl::Move::to().

The documentation for this struct was generated from the following file:

- shouldPromoteCut.h